Subject: bug#32722: [O] bug#32722: bug#32722: bug#32722: 26.1; Org-publish depend on non-free platform ?

From: Leslie Watter <[email-masked]>
Date: Fri, 21 Sep 2018 16:21:12 -0300

Hello all,

Just a little information:  since Dropbox update their API to 2.0
MobileOrg with this backend stopped to work, so anyone willing to use it
will have
to use either WebDAV, SSH or Local filesystem. AFAIK, there's no active
development of MobileOrg
in terms of having this issue [0] solved.

Updating the software could help more than just forking it and publishing
it with another name.  There's
some options (Orgzly, Syncthing) that can be used but none of them are as
usefull as MobileOrg.

So, if anyone could contact Matthew Jones (https://github.com/matburt) and
offer some help
I think that could be a better approach than just forking it. Unfortunately
I cannot help at this point.

Cheers,

LEslie

[0] - https://github.com/matburt/mobileorg-android/issues/501

On Thu, Sep 20, 2018 at 11:17 PM Richard Stallman <[email-masked]> wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
> I asked
>
>   > > Is the WebDAV server code free software?  Can you talk to such a
>   > > server without any nonfree client software?
>
> Fortunately, Nicolas Goaziou <[email-masked]>'s information
> shows that using WebDAV is no problem.
>
>   > There are 2 other ways to use Android MobileOrg not included in the
>   > worg page:
>   > 1. SSH
>   > 2. Local filesystem
>
> It sounds like modifying Android MobileOrg so it used only those
> methods plus WebDAV, and not Dropbox, could result in a free program
> that could be in f-droid.  It would be useful for someone to do that
> and publish it under a different name.
>
> Once that gets done, it would be good to make Emacs encourage people to
> use _that version_ of Android MobileOrg.
>
> Until then, Emacs (including Org-mode) should not say or do anything
> that would be likely to lead users to use the existing MobileOrg.
> We should remove that text soon, and put in new text about the new
> version when that new version is available.
>
> --
> Dr Richard Stallman
> President, Free Software Foundation (https://gnu.org, https://fsf.org)
> Internet Hall-of-Famer (https://internethalloffame.org)
>
>
>
>
>
>

-- 
Leslie H. Watter